=== modified file 'patchsource.py'
--- patchsource.py	2006-03-14 08:52:39 +0000
+++ patchsource.py	2006-03-16 15:06:54 +0000
@@ -32,9 +32,9 @@
 
         # Hack to cope with 0.7 and 0.8 bzr
         try:
-            from bzrlib.bzrdir import BzrDir
-            self.bzrdir = BzrDir.open_containing(location)[0]
-            self.base = self.bzrdir.open_branch().base
+            from bzrlib.workingtree import WorkingTree
+            self.wt = WorkingTree.open_containing(location)[0]
+            self.base = self.wt.basedir
             self.__readlines = self._v08_readlines
         except ImportError:
             from bzrlib.branch import Branch
@@ -64,6 +64,6 @@
         tmp = sys.stdout
         sys.stdout = output
         # FIXME diff_cmd_helper() should take an output parameter
-        diff_cmd_helper(self.bzrdir.open_workingtree(), self.file_list,
-                    external_diff_options=None, old_revision_spec=self.revision)
+        diff_cmd_helper(self.wt, self.file_list, external_diff_options=None,
+                        old_revision_spec=self.revision)
         sys.stdout = tmp

